Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455158 - gtk-sharp 2.12.1 is required to make f-spot 0.4.4 to BFS
Summary: gtk-sharp 2.12.1 is required to make f-spot 0.4.4 to BFS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk-sharp2
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 448882 449506
TreeView+ depends on / blocked
 
Reported: 2008-07-13 08:03 UTC by Nigel Jones
Modified: 2008-08-07 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-07 22:12:16 UTC


Attachments (Terms of Use)

Description Nigel Jones 2008-07-13 08:03:42 UTC
From local testing, I can get f-spot 0.4.4 to build from source only with gtk-
shorp 2.12.1 (http://ftp.acc.umu.se/pub/gnome/sources/gtk-sharp/2.12/gtk-
sharp-2.12.1.tar.bz2)

From my local build 'rpm -q --provides gtk-sharp2' lists:
libatksharpglue-2.so()(64bit)
libgdksharpglue-2.so()(64bit)
libgladesharpglue-2.so()(64bit)
libglibsharpglue-2.so()(64bit)
libgtksharpglue-2.so()(64bit)
libpangosharpglue-2.so()(64bit)
mono(atk-sharp) = 2.12.0.0
mono(gdk-sharp) = 2.12.0.0
mono(glade-sharp) = 2.12.0.0
mono(glib-sharp) = 2.12.0.0
mono(gtk-dotnet) = 2.12.0.0
mono(gtk-sharp) = 2.12.0.0
mono(pango-sharp) = 2.12.0.0
mono(policy.2.10.atk-sharp) = 0.0.0.0
mono(policy.2.10.gdk-sharp) = 0.0.0.0
mono(policy.2.10.glade-sharp) = 0.0.0.0
mono(policy.2.10.glib-sharp) = 0.0.0.0
mono(policy.2.10.gtk-dotnet) = 0.0.0.0
mono(policy.2.10.gtk-sharp) = 0.0.0.0
mono(policy.2.10.pango-sharp) = 0.0.0.0
mono(policy.2.4.atk-sharp) = 0.0.0.0
mono(policy.2.4.gdk-sharp) = 0.0.0.0
mono(policy.2.4.glade-sharp) = 0.0.0.0
mono(policy.2.4.glib-sharp) = 0.0.0.0
mono(policy.2.4.gtk-dotnet) = 0.0.0.0
mono(policy.2.4.gtk-sharp) = 0.0.0.0
mono(policy.2.4.pango-sharp) = 0.0.0.0
mono(policy.2.6.atk-sharp) = 0.0.0.0
mono(policy.2.6.gdk-sharp) = 0.0.0.0
mono(policy.2.6.glade-sharp) = 0.0.0.0
mono(policy.2.6.glib-sharp) = 0.0.0.0
mono(policy.2.6.gtk-dotnet) = 0.0.0.0
mono(policy.2.6.gtk-sharp) = 0.0.0.0
mono(policy.2.6.pango-sharp) = 0.0.0.0
mono(policy.2.8.atk-sharp) = 0.0.0.0
mono(policy.2.8.gdk-sharp) = 0.0.0.0
mono(policy.2.8.glade-sharp) = 0.0.0.0
mono(policy.2.8.glib-sharp) = 0.0.0.0
mono(policy.2.8.gtk-dotnet) = 0.0.0.0
mono(policy.2.8.gtk-sharp) = 0.0.0.0
mono(policy.2.8.pango-sharp) = 0.0.0.0
gtk-sharp2 = 2.12.1-1.fc10

Which means that it won't cause en-mass dependency breakage like the last 
update.

Thanks, Nigel

Comment 1 Xavier Lamien 2008-07-13 17:45:22 UTC
hello Nigel,

Done.

Give some tries before i can close the bug.

Comment 2 Nigel Jones 2008-07-14 08:03:24 UTC
(In reply to comment #1)
> hello Nigel,
> 
> Done.
> 
> Give some tries before i can close the bug.

Looks like the new RPM broke it (no mono(*) provides)!  I've mentioned this to 
one of the RPM devs on IRC and sent an FYI to fedora-devel-list.

Comment 3 Nigel Jones 2008-08-07 22:12:16 UTC
I think this is solved now, thanks Xavier!


Note You need to log in before you can comment on or make changes to this bug.